/usr/share/piuparts/slave/slave_cleanup is in piuparts-slave 0.45.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 | #!/bin/sh
# Copyright 2012 Holger Levsen (holger@layer-acht.org)
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# cleanup /org/piuparts.debian.org/tmp/
#
# - this should only be run (automatically) on boot
#
set -e
# do nothing if piuparts-slave is running
if [ "$(ps fax|grep piuparts-slave|grep -v grep)" != "" ] ; then
exit 0
fi
PIUPARTS_CONF=${PIUPARTS_CONF:-/etc/piuparts/piuparts.conf}
[ -f "$PIUPARTS_CONF" ] || exit 0
# usage: get_config_value VARIABLE section key [default]
get_config_value()
{
local section key value
test -n "$1" && test "$1" = "$(echo "$1" | tr -c -d '[:alnum:]_')" || exit 1
section="$2"
key="$3"
value="$(sed -rn '\#^\['"$section"'\]#,/^\[/ {/^'"$key"'\s*=/ {s/^'"$key"'\s*=\s*//; s/\s*$//; p}}' "$PIUPARTS_CONF")"
test -n "$value" || value="$4"
if [ -z "$value" ]; then
echo "'$key' not set in section [$section] of $PIUPARTS_CONF, exiting." >&2
exit 1
fi
eval "$1"='"$value"'
}
get_config_value PIUPARTS_TEMPDIR global tempdir /org/piuparts.debian.org/tmp
# umount all mount points (should be none on boot, but this script can also be called at other times)
for MOUNTPOINT in $(tac /proc/mounts | cut -d " " -f 2 | grep $PIUPARTS_TEMPDIR/)
do
sudo umount $MOUNTPOINT
done
# cleanup tmp
sudo rm -rf --one-file-system $PIUPARTS_TEMPDIR
mkdir -p $PIUPARTS_TEMPDIR
|